Package twisted :: Package flow :: Module wrap :: Class _Deferred

[frames | no frames]

## Class _Deferred

    Instruction --+
                  |
              Stage --+
                      |
                     _Deferred

Wraps a Deferred object into a stage; create with flow.wrap

This stage provides a callback 'catch' for errback and callbacks. If not called, then this returns an Instruction which will let the reactor execute other operations, such as the producer for this deferred.

Method Summary
| `__init__(self, deferred, *trap)`
| `_callback(self, res)`
| `_errback(self, fail)`
| ``_yield`(self)` executed during a yield statement by previous stage
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Method Details

### _yield(self)

executed during a yield statement by previous stage

This method is private within the scope of the flow module, it is used by one stage in the flow to ask a subsequent stage to produce its value. The result of the yield is then stored in self.result and is an instance of Failure if a problem occurred.

  Overrides:
    `twisted.flow.base.Stage._yield` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:23 2004 | http://epydoc.sf.net